# Fox (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.entity, interface: Fox

Package org.bukkit.entity

# Interface Fox

All Superinterfaces:
  `Ageable`, `Animals`, `Attributable`, `Audience`, `Breedable`, `CommandSender`, `Creature`, `Damageable`, `Entity`, `Frictional`, `HoverEventSource<HoverEvent.ShowEntity>`, `LivingEntity`, `Lootable`, `Metadatable`, `Mob`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ProjectileSource`, `ServerOperator`, `Sittable`, `Sound.Emitter`

public interface Fox extends Animals, Sittable
What does the fox say?

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Fox.Type`
Represents the various different fox types there are.

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`@Nullable AnimalTamer`
`getFirstTrustedPlayer()`
Gets the first trusted player.
`@NotNull Fox.Type`
`getFoxType()`
Gets the current type of this fox.
`@Nullable AnimalTamer`
`getSecondTrustedPlayer()`
Gets the second trusted player.
`boolean`
`isCrouching()`
Checks if this animal is crouching
`boolean`
`isDefending()`
Gets if the fox is defending.
`boolean`
`isFaceplanted()`
Gets whether the fox is faceplanting the ground
`boolean`
`isInterested()`
Gets if the fox is interested.
`boolean`
`isLeaping()`
Gets if the fox is leaping.
`void`
`setCrouching(boolean crouching)`
Sets if this animal is crouching.
`void`
`setDefending(boolean defending)`
Sets if the fox is defending.
`void`
`setFaceplanted(boolean faceplanted)`
Sets if the fox face planted.
`void`
`setFirstTrustedPlayer(@Nullable AnimalTamer player)`
Set the first trusted player.
`void`
`setFoxType(@NotNull Fox.Type type)`
Sets the current type of this fox.
`void`
`setInterested(boolean interested)`
Sets if the fox is interested.
`void`
`setLeaping(boolean leaping)`
Sets if the fox is leaping.
`void`
`setSecondTrustedPlayer(@Nullable AnimalTamer player)`
Set the second trusted player.
`void`
`setSleeping(boolean sleeping)`
Sets if this animal is sleeping.

### Methods inherited from interface org.bukkit.entity.Ageable

`getAge, isAdult, setAdult, setAge, setBaby`

### Methods inherited from interface org.bukkit.entity.Animals

`getBreedCause, getLoveModeTicks, isBreedItem, isBreedItem, isLoveMode, setBreedCause, setLoveModeTicks`

### Methods inherited from interface org.bukkit.attribute.Attributable

`getAttribute, registerAttribute`

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, deleteMessage, deleteMessage, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.entity.Breedable

`canBreed, getAgeLock, setAgeLock, setBreed`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlainMessage, sendRichMessage`

### Methods inherited from interface org.bukkit.entity.Damageable

`damage, damage, getAbsorptionAmount, getHealth, getMaxHealth, resetMaxHealth, setAbsorptionAmount, setHealth, setMaxHealth`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, collidesAt, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getSwimHighSpeedSplashSound, getSwimSound, getSwimSplashSound, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isUnderWater, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync, wouldCollideUsing`

### Methods inherited from interface io.papermc.paper.entity.Frictional

`getFrictionState, setFrictionState`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.entity.LivingEntity

`addPotionEffect, addPotionEffect, addPotionEffects, attack, broadcastSlotBreak, broadcastSlotBreak, canBreatheUnderwater, clearActiveItem, damageItemStack, damageItemStack, getActiveItem, getActivePotionEffects, getArrowCooldown, getArrowsInBody, getArrowsStuck, getBeeStingerCooldown, getBeeStingersInBody, getCanPickupItems, getCategory, getCollidableExemptions, getDeathSound, getDrinkingSound, getEatingSound, getEyeHeight, getEyeHeight, getEyeLocation, getFallDamageSound, getFallDamageSoundBig, getFallDamageSoundSmall, getHandRaised, getHandRaisedTime, getHurtDirection, getHurtSound, getItemUseRemainingTime, getKiller, getLastDamage, getLastTwoTargetBlocks, getLeashHolder, getLineOfSight, getMaximumAir, getMaximumNoDamageTicks, getMemory, getNoDamageTicks, getPotionEffect, getRemainingAir, getRemoveWhenFarAway, getShieldBlockingDelay, getTargetBlock, getTargetBlock, getTargetBlock, getTargetBlockExact, getTargetBlockExact, getTargetBlockFace, getTargetBlockFace, getTargetBlockInfo, getTargetBlockInfo, getTargetEntity, getTargetEntity, getTargetEntityInfo, getTargetEntityInfo, hasAI, hasLineOfSight, hasLineOfSight, hasPotionEffect, isClimbing, isCollidable, isGliding, isHandRaised, isInvisible, isJumping, isLeashed, isRiptiding, isSleeping, isSwimming, knockback, playPickupItemAnimation, playPickupItemAnimation, rayTraceBlocks, rayTraceBlocks, removePotionEffect, setAI, setArrowCooldown, setArrowsInBody, setArrowsStuck, setBeeStingerCooldown, setBeeStingersInBody, setCanPickupItems, setCollidable, setGliding, setHurtDirection, setInvisible, setJumping, setKiller, setLastDamage, setLeashHolder, setMaximumAir, setMaximumNoDamageTicks, setMemory, setNoDamageTicks, setRemainingAir, setRemoveWhenFarAway, setShieldBlockingDelay, setSwimming, swingHand, swingMainHand, swingOffHand`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.entity.Mob

`getAmbientSound, getEquipment, getHeadRotationSpeed, getMaxHeadPitch, getPathfinder, getTarget, isAware, isInDaylight, isLeftHanded, lookAt, lookAt, lookAt, lookAt, lookAt, lookAt, setAware, setLeftHanded, setTarget`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.projectiles.ProjectileSource

`launchProjectile, launchProjectile, launchProjectile`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

### Methods inherited from interface org.bukkit.entity.Sittable

`isSitting, setSitting`

## Method Details

### getFoxType

@NotNull @NotNull Fox.Type getFoxType()
Gets the current type of this fox.

Returns:
  Type of the fox.

### setFoxType

void setFoxType(@NotNull @NotNull Fox.Type type)
Sets the current type of this fox.

Parameters:
  `type` - New type of this fox.

### isCrouching

boolean isCrouching()
Checks if this animal is crouching

Returns:
  true if crouching

### setCrouching

void setCrouching(boolean crouching)
Sets if this animal is crouching.

Parameters:
  `crouching` - true if crouching

### setSleeping

void setSleeping(boolean sleeping)
Sets if this animal is sleeping.

Parameters:
  `sleeping` - true if sleeping

### getFirstTrustedPlayer

@Nullable @Nullable AnimalTamer getFirstTrustedPlayer()
Gets the first trusted player.

Returns:
  the owning AnimalTamer, or null if not owned

### setFirstTrustedPlayer

void setFirstTrustedPlayer(@Nullable @Nullable AnimalTamer player)
Set the first trusted player.

The first trusted player may only be removed after the second.

Parameters:
  `player` - the AnimalTamer to be trusted

### getSecondTrustedPlayer

@Nullable @Nullable AnimalTamer getSecondTrustedPlayer()
Gets the second trusted player.

Returns:
  the owning AnimalTamer, or null if not owned

### setSecondTrustedPlayer

void setSecondTrustedPlayer(@Nullable @Nullable AnimalTamer player)
Set the second trusted player.

The second trusted player may only be added after the first.

Parameters:
  `player` - the AnimalTamer to be trusted

### isFaceplanted

boolean isFaceplanted()
Gets whether the fox is faceplanting the ground

Returns:
  Whether the fox is faceplanting the ground

### setInterested

void setInterested(boolean interested)
Sets if the fox is interested.

Parameters:
  `interested` - is interested

### isInterested

boolean isInterested()
Gets if the fox is interested.

Returns:
  fox is interested

### setLeaping

void setLeaping(boolean leaping)
Sets if the fox is leaping.

Parameters:
  `leaping` - is leaping

### isLeaping

boolean isLeaping()
Gets if the fox is leaping.

Returns:
  fox is leaping

### setDefending

void setDefending(boolean defending)
Sets if the fox is defending.

Parameters:
  `defending` - is defending

### isDefending

boolean isDefending()
Gets if the fox is defending.

Returns:
  fox is defending

### setFaceplanted

void setFaceplanted(boolean faceplanted)
Sets if the fox face planted.

Parameters:
  `faceplanted` - face planted